Skip to main content
GET
/
conversations
/
{id}
Get a conversation
curl --request GET \
  --url https://api.awardee.dev/v1/conversations/{id} \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "id": "8f3a9d2e-1b4c-4f5d-9e8a-7c3b2a1d0f9e",
  "chatbot_id": "c1f5b2a7-9e8d-4f6a-b3c4-d5e6f7a8b9c0",
  "title": "Refund question",
  "summary": "Visitor asked about refund window. Bot escalated to human.",
  "sentiment_score": 72,
  "contact_email": "[email protected]",
  "contact_name": "Ada Lovelace",
  "contact_phone": "+1 415 555 0143",
  "assigned_to": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",
  "last_message_preview": "<string>",
  "last_message_at": "2023-11-07T05:31:56Z",
  "resolved_at": "2023-11-07T05:31:56Z",
  "closed_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "qr_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

Path Parameters

id
string<uuid>
required

Response

Conversation

object
string
required
Allowed value: "conversation"
id
string<uuid>
required
Example:

"8f3a9d2e-1b4c-4f5d-9e8a-7c3b2a1d0f9e"

chatbot_id
string<uuid> | null
required
Example:

"c1f5b2a7-9e8d-4f6a-b3c4-d5e6f7a8b9c0"

status
enum<string>
required
Available options:
open,
bot_active,
agent_requested,
resolved,
closed,
archived
priority
enum<string>
required
Available options:
low,
medium,
high
title
string | null
required
Example:

"Refund question"

summary
string | null
required
Example:

"Visitor asked about refund window. Bot escalated to human."

sentiment_score
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
Example:

72

contact_email
string<email> | null
required
Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
contact_name
string | null
required
Example:

"Ada Lovelace"

contact_phone
string | null
required
Example:

"+1 415 555 0143"

assigned_to
string<uuid> | null
required
Example:

"a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d"

last_message_preview
string | null
required
last_message_at
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
resolved_at
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
closed_at
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
created_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
qr_code_id
string<uuid> | null
required
product_id
string<uuid> | null
required
object_id
string<uuid> | null
required